@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-family: "Poppins", sans-serif;
}

ul {
  list-style: none;
}

.menu {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  cursor: pointer;
}

body {
  position: relative;
  background-color: #f7f7f9;
  width: 100vw;
  overflow-x: hidden;
}

.heading-large {
  color: #172b4d;
  font-weight: 700;
  font-size: 2.5rem;
  line-height: 52px;
}

header {
  background-color: #fff;
  color: #6070ff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 25px;
}

.desk-ul {
  display: none;
}

.logo {
  width: 40%;
  left: 30px;
  animation: color-change 1s ease-in-out;
  position: relative;
  animation-name: logo;
  animation-duration: 10s;
  animation-delay: 1s;
  animation-play-state: running;
  animation-iteration-count: infinite;
}

@keyframes logo {
  0% {
    left: 0;
    top: 0;
  }

  25% {
    left: 200px;
    top: 0;
  }

  100% {
    left: 0;
    top: 0;
  }
}

.main-page {
  max-height: 800px;
  min-height: 550px;
  width: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 7%;
  border-radius: 0 0 0 4em;
  background-color: #fff;
  background-image: url(./public/header-shape.png);
  background-size: 100%;
  background-position-x: center;
  background-repeat: no-repeat;
  padding-top: 10px;
  padding-bottom: 10px;
}

.main-headline {
  margin: 10px 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  height: 100%;
}

.about-headline {
  margin: 10px 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  height: 100%;
}

.main-h1 {
  margin: 10px 0;
  display: flex;
  font-family: 'Poppins'sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  align-items: center;
  color: #172b4d;
  transition: all 0.7s ease-in-out;
  animation: fadeIn 3s ease-in-out;
}

@keyframes fadeIn {
  from {
    color: #930101;
    transform: translateX(-40px);
  }

  to {
    color: #0aa51e;
    transform: translateY(10px);
  }
}

.main-h1:hover {
  color: #0aa51e;
}

.main-paragraph {
  margin: 10px 0;
  font-family: 'Poppins'sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
}

.main-h4 {
  margin: 10px 0;
  color: #323fb3;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  animation: openclose 5s ease-in-out infinite;
}

@keyframes openclose {
  0% {
    top: 0.2rem;
    width: 0;
  }

  5% {
    width: 0;
  }

  15% {
    width: 230px;
  }

  30% {
    top: 0.2rem;
    width: 230px;
  }

  33% {
    top: 0.2rem;
    width: 0;
  }

  35% {
    top: 0.2rem;
    width: 0;
  }

  38% {
    top: -4.5rem;
  }

  48% {
    top: -4.5rem;
    width: 190px;
  }

  62% {
    top: -4.5rem;
    width: 190px;
  }

  66% {
    top: -4.5rem;
    width: 0;
    text-indent: 0;
  }

  71% {
    top: -9rem;
    width: 0;
    text-indent: 5px;
  }

  86% {
    top: -9rem;
    width: 285px;
  }

  95% {
    top: -9rem;
    width: 285px;
  }

  98% {
    top: -9rem;
    width: 0;
    text-indent: 5px;
  }

  100% {
    top: 0;
    width: 0;
    text-indent: 0;
  }
}

.social-icons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #505f79;
  list-style: none;
}

.social-icons > a,
i {
  text-decoration: none;
  color: #505f79;
  font-size: 1.25rem;
  padding-right: 1em;
}

/* Works Section Styling Starts Here */
.works {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.works-card {
  color: #172b4d;
  background-color: #fff;
  border: 1px solid #dfe1e6;
  border-radius: 1em;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  margin: 8em 7% 0 7%;
  padding: 1em 1em 2em 1em;
}

.works-card > img {
  width: 100%;
  animation-name: zoom-in;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes zoom-in {
  from {
    transform: scale(0);
  }

  to {
    transform: scale(1);
  }
}

.works-card-heading-large {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  padding: 0.25em 0;
  font-style: normal;
}

.works-card-client {
  display: flex;
  align-items: center;
  padding: 0.25em 0;
}

.works-card-client > p {
  font-weight: 600;
}

.works-card-client-role {
  color: #6b778c;
  font-style: normal;
  font-weight: 400;
  font-size: 13px;
  line-height: 16px;
}

.works-card-client-year {
  color: #6b778c;
  font-style: normal;
  width: 38px;
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
}

.works-card-paragraph {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  padding: 0.25em 0;
}

.works-card-client > i {
  color: #c1c7d0;
  font-size: 0.5rem;
}

.works-card-client-counter {
  font-size: 0.75em;
  padding: 0 0.75em;
  color: #7a869a;
}

.works-card-tags {
  display: flex;
  color: #323fb3;
  margin: 0.25em 0;
  list-style-type: none;
  border-radius: 8px;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
}

.works-card-tag {
  color: #6070ff;
  background-color: #ebebff;
  margin: 0 0.5rem 0 0;
  padding: 0.25em 0.75em;
  border-radius: 8px;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
}

button {
  font-family: inherit;
  background: #fff;
  color: #396df2;
  border: 1px solid #6070ff;
  border-radius: 8px;
  padding: 12px;
  font-size: 1.05em;
  font-weight: 500;
  letter-spacing: 0.03em;
  width: auto;
  margin: 1em 0;
  cursor: pointer;
}

button:hover {
  background: #6070ff;
  box-shadow: 0 0.5em 1em #4053fc3d;
  color: #fff;
}

button:active {
  background: #2230d2;
  color: #fff;
  transform: translateY(4px);
}

button:disabled,
button[disabled] {
  border: 1px solid #c1c7d0;
  color: #5e6c84;
}

/* Works Section Styling Ends Here */

/* About Section Starts Here */
.about {
  background-color: #fff;
  border-radius: 0 6em 0 0;
  margin: 8em 0 0 0;
}

.headline-skill-container {
  padding: 5em 15% 0 7%;
}

.about-heading-small {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
}

.skills-1 {
  display: flex;
  justify-content: space-between;
  padding: 20px;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  font-style: normal;
  margin-left: -20px;
  margin-right: -12px;
}

.skills-1 li {
  display: flex;
  list-style-type: none;
  align-items: center;
  background: #f7f7f9;
  border-radius: 8px;
  padding-right: 150px;
  margin-top: 8px;
}

.about-skills-container {
  display: flex;
  flex-direction: column;
  padding: 2em 1em;
  width: 100%;
  height: 600px;
}

.about-skills-container > hr {
  height: 2px;
  background: #dfe1e6;
  border: none;
}

.about-skill-heading {
  display: flex;
  justify-content: space-between;
  padding: 2em 1em 2em 0;
}

.about-skill-body {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  background-color: #f7f7f9;
  border-radius: 0.5em;
  margin: 0.5em 0;
  padding: 0.5em 2em;
}

.about-skill-text {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 600;
  padding-left: 1em;
  line-height: 20px;
  color: #253858;
}

/* About Section Ends Here */

/* Contact Me starts here */
.contact-me-form-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin: 6em 0 0 0;
  padding: 3em;
  border-radius: 5em 0 0 0;
  background-color: #323fb3;
  background-image: url(./assets/contact\ form\ shapes-mobile.png);
  background-repeat: no-repeat;
  background-position-x: right;
}

.contact-me-form-heading {
  text-align: center;
  margin-top: 0.75em;
  font-family: inherit;
  color: #fff;
  font-weight: 700;
  font-size: 2.5rem;
  line-height: 52px;
}

.contact-me-form-paragraph {
  text-align: center;
  margin-top: 0.75em;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
  color: #ebebff;
}

.contact-me-form {
  display: flex;
  flex-direction: column;
  margin-top: 0.75em;
}

.contact-me-form > input:focus,
textarea:focus {
  outline: none !important;
  color: #fff;
  background-color: #323fb3;
  border: 1px solid #000;
  box-shadow: 0 0 4px #b42501;
}

::placeholder {
  color: #fff;
}

.contact-me-form-text-input {
  margin-top: 0.75em;
  padding: 0.75em;
  width: 100%;
  border: 1px solid #cfd8dc;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  line-height: 20px;
  border-radius: 8px;
}

.contact-me-form-button {
  align-self: center;
}

.contact-me-form-button:active {
  transform: translateY(4px);
}

/* Contact me ends here */

@media screen and (min-width: 768px) {
  .logo > a {
    display: flex;
    align-items: center;
    text-align: center;
    color: #6070ff;
    margin: 0 0 0 100px;
    font-size: 18px;
  }

  .main-page {
    border-radius: 0 0 0 4em;
    background-color: #fff;
    background-image: url(./assets/Header\ bg.png);
    background-size: 96%;
    background-position-x: center;
    background-repeat: no-repeat;
    height: 100vh;
  }

  .main-headline {
    margin: 10px 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0;
    gap: 12px;
    width: 751px;
    height: 268px;
  }

  .menu {
    display: none;
  }

  .desk-ul {
    position: absolute;
    top: 8px;
    right: 120px;
    display: flex;
    margin-top: 25px;
    padding: 0;
    color: #6070ff;
    font-size: 18px;
  }

  .desk-li {
    margin: 0 10px;
    cursor: pointer;
    color: #344563;
    font-size: 15px;
  }

  .social-icons {
    margin: 20px;
    margin-left: 55px;
    margin-top: 10px;
  }

  header {
    padding: 23px;
    padding-bottom: 75px;
  }

  .main-h1 {
    margin: 10px 64px;
    font-size: 48px;
    align-items: center;
    color: #172b4d;
  }

  .main-paragraph {
    margin: 10px 0;
    font-family: 'Poppins'sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: #344563;
    margin-left: 65px;
  }

  .main-h4 {
    margin: 0 60px;
  }

  /* finish headline section */

  /* start works-cards section */
  .works-card > img {
    width: 100%;
    height: 400px;
  }

  .works-card:nth-child(even) > img {
    order: 2;
  }

  .works-card:nth-child(even) > .works-card-main {
    order: 1;
  }

  .works-card {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2.5em;
    padding: 1em;
  }

  .headline-skill-container {
    display: grid;
    grid-template-columns: 40% 60%;
  }

  .about-headline {
    width: 100%;
  }

  .heading-large {
    font-size: 40px;
  }

  .about .headline-paragraph {
    margin-left: 0;
    width: 100%;
  }

  .about .headline-sm-suport {
    margin-left: 0;
  }

  .about .social-icons {
    margin-left: 45px;
    width: 200px;
    height: 40px;
  }

  .about button {
    margin-left: 45px;
    margin-top: 0;
  }

  .skills-1 {
    margin-top: -28px;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #344563;
  }

  .about-skill-body-container {
    display: flex;
    flex-direction: row;
    gap: 10px;
  }

  .about-skill-body {
    padding: 20px;
    height: 128px;
    width: 105px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: flex-start;
  }

  .about-skill-text {
    margin-left: -28px;
  }

  .social {
    position: relative;
    left: -10%;
    margin-top: 1em;
  }

  .contact-me-form-container {
    background-color: #6070ff;
    background-image: url(./assets/contact\ form\ background\ shapes.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    align-content: center;
    padding: 10% 25%;
    margin-top: 0;
  }

  .contact-me-form-text-input {
    border-radius: 0;
  }
}
